Package com.independentsoft.office.word.math

# Class MathArgument

java.lang.Object
com.independentsoft.office.word.math.MathArgument

Direct Known Subclasses:
  `Base`, `Degree`, `Denominator`, `FunctionName`, `Limit`, `Numerator`, `SubPreSubSuperscript`, `SupSuperscript`

public abstract class MathArgument extends Object
The Class MathArgument.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `argumentSize`
  `protected ControlProperties`
  `controlProperties`
  `protected List<IMathElement>`
  `mathElements`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MathArgument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MathArgument`
  `clone()`
  `int`
  `getArgumentSize()`
  Gets the argument size.
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `List<IMathElement>`
  `getMathElements()`
  Gets the math elements.
  `void`
  `setArgumentSize​(int argumentSize)`
  Sets the argument size.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### argumentSize

    protected int argumentSize

  - ### controlProperties

    protected ControlProperties controlProperties

  - ### mathElements

    protected List<IMathElement> mathElements

- ## Constructor Details

  - ### MathArgument

    public MathArgument()

- ## Method Details

  - ### clone

    public abstract MathArgument clone()
    Overrides:
      `clone` in class `Object`

  - ### getMathElements

    public List<IMathElement> getMathElements()
    Gets the math elements.
    Returns:
      the math elements

  - ### getArgumentSize

    public int getArgumentSize()
    Gets the argument size.
    Returns:
      the argument size

  - ### setArgumentSize

    public void setArgumentSize​(int argumentSize)
    Sets the argument size.
    Parameters:
      `argumentSize` - the new argument size

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties